<?php
/*
 * Plugin Name: Post Options API Example
 * Description: This plugin demonstrates the usage of the Post Options API
 * Author: Konstantin Kovshenin
 * Version 1.0.1
 * License: GPLv2
 */

// We'll do everything inside init.
add_action( 'init', 'post_options_api_example' );

// Let's test out the above
function post_options_api_example() {
	
	// Include the Post Options API Library bundled with this plugin
	get_template_part('inc/post-options-api.1.0.1');
	//require( dirname( __FILE__ ) . '/post-options-api.1.0.1.php' );

	// Initialize the Post Options API and Fields
	$post_options = get_post_options_api( '1.0.1' );
	$post_fields = get_post_options_api_fields( '1.0.1' );	
	
	// Register two sections and add them both to the 'post' post type
	$post_options->register_post_options_section( 'post-f', __( 'Post Format options', 'mt-white' ),1 );
	$post_options->register_post_options_section( 'page-o', __( 'MT White page options', 'mt-white' ),1 );
	$post_options->add_section_to_post_type( 'post-f', 'post' );
	$post_options->add_section_to_post_type( 'page-o', 'page' );
	
	// The showing off section

/*    Page slideshow  */
	
	$post_options->register_post_option( array( 
		'id' => 'slide-page',
		'title' => __( 'Featured', 'mt-white' ),
		'section' => 'page-o',
		'callback' => $post_fields->checkbox( array(
			'label' => __( 'This is a featured post', 'mt-white' ),
			'description' => __( 'Check this to feature the post in the highlights section on the homepage.', 'mt-white' )
		) )
	) );
	
	/*    Post Format - Link  */
	$post_options->register_post_option( array( 
		'id' => 'pf-link',
		'title' => __( 'Post format - Link', 'mt-white' ),
		'section' => 'post-f',
		'callback' => $post_fields->text( array(
			'description' => __( 'Paste link', 'mt-white' )
		) )
	) );
	
}

/*----------*/
/*    Post Format - Link  */
/*----------*/
	if(!function_exists('white_link_format')) {	
		function white_link_format() {
global $post;
$post_options = get_post_options_api( '1.0.1' );
$link = $post_options->get_post_option( $post->ID, 'pf-link' );	
if ( ! empty($link) ) : 
	    return esc_url_raw($link);
elseif(preg_match('/<a\s[^>]*?href=[\'"](.+?)[\'"]/is', get_the_content(), $matches)):
		return esc_url_raw($matches[1]);
else :
		return esc_url_raw(get_permalink());
endif;
	}
	}

?>